Bug 780591 - (SOA-3032) Allow a service secured under one set of credentials to invoke a service with another set of credentials
Allow a service secured under one set of credentials to invoke a service with...
Status: NEW
Product: JBoss Enterprise SOA Platform 5
Classification: JBoss
Component: JBossESB (Show other bugs)
5.1.0 GA
Unspecified Unspecified
high Severity high
: ---
: FUTURE
Assigned To: Ken Johnson
http://jira.jboss.org/jira/browse/SOA...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2011-04-18 11:36 EDT by Rick Wagner
Modified: 2011-08-08 12:15 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
All SOA-P
Last Closed:
Type: Feature Request
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
JBoss Issue Tracker SOA-3032 None Closed Allow a service secured under one set of credentials to invoke a service with another set of credentials 2012-03-16 10:18:27 EDT

  None (edit)
Description Rick Wagner 2011-04-18 11:36:59 EDT
Affects: Documentation (Ref Guide, User Guide, etc.)
Help Desk Ticket Reference: https://c.na7.visual.force.com/apex/Case_View?id=500A0000006mBvOIAU&sfdc.override=1
project_key: SOA

We'd like a service secured by one set of credentials (i.e. a system user) to be able to invoke another service using credentials other than the invoking user's.  An example use case might be having an Action Pipeline that validates credit for the current user.  (The credit must be checked with an external site, using 'our' credentials rather than the user's.)
Comment 1 Rick Wagner 2011-04-18 11:38:20 EDT
Link: Added: This issue is related to SOA-1669
Comment 2 Rick Wagner 2011-04-18 11:38:21 EDT
This JIRA is more generic than SOA-1669, which is specific to SOAPProxy.
Comment 3 Rick Wagner 2011-04-18 11:39:05 EDT
Link: Added: This issue relates to SOA-1669
Comment 4 Rick Wagner 2011-04-18 11:39:59 EDT
Link: Added: This issue is related to PRODMGT-32
Comment 5 Anne-Louise Tangring 2011-08-08 12:15:20 EDT
Ken to investigate feasibility

Note You need to log in before you can comment on or make changes to this bug.